Skip to main content
POST
/
v1
/
tenants
/
{tenant_id}
/
subjects
/
{subject_type}
/
{subject_id}
/
updates
/
{update_id}
/
apply
Apply a proposed update
curl --request POST \
  --url https://tally-platform-api-xwka6vu2kq-ue.a.run.app/v1/tenants/{tenant_id}/subjects/{subject_type}/{subject_id}/updates/{update_id}/apply \
  --header 'Authorization: Bearer <token>'
{
  "snapshot_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "snapshot_version": 123,
  "envelope_hash": "<string>",
  "prev_hash": "<string>"
}

Authorizations

Authorization
string
header
required

Firebase Auth JWT issued by Google Identity Platform. Obtain a token by signing in at your app domain and calling firebase.auth().currentUser.getIdToken().

Path Parameters

tenant_id
string
required

Tenant identifier.

subject_type
enum<string>
required

Subject type discriminator.

Available options:
entity,
individual
subject_id
string
required

Stable subject identifier within its type namespace.

update_id
string<uuid>
required

Response

Update applied. New snapshot created.

snapshot_id
string<uuid>
snapshot_version
integer
envelope_hash
string | null
prev_hash
string | null